Subject: Re: [PATCH] net: rtnetlink: ignore NETDEV_PRE_TYPE_CHANGE in rtnetlink_event()

From: Patrick McHardy <[email-masked]>
Date: Fri, 19 Mar 2010 15:56:10 +0100

Jiri Pirko wrote:
> Fri, Mar 19, 2010 at 03:42:24PM CET, [email-masked] wrote:
>   
>
>   
>> Ignore the new NETDEV_PRE_TYPE_CHANGE event in rtnetlink_event() since
>> there have been no changes userspace needs to be notified of.
>>
>> Also add a comment to the netdev notifier event definitions to remind
>> people to update the exclusion list when adding new event types.
>
> Hmm, didn't have a clue this is needed. Anyway, original
> "NETDEV_BONDING_OLDTYPE" and "NETDEV_BONDING_NEWTYPE" weren't here either.

Its not strictly needed, it just avoids sending events without new
information.

> Also you might want to add "NETDEV_POST_TYPE_CHANGE".

I left this out on purpose since userspace might be interested in the
type change.